<!DOCTYPE html>
<html lang="ru">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />
    <title>Rocket game</title>
    <!-- <input type="text" id="bet_sum" value="100" />
    <input type="button" value="Place bet" onclick="placeBet();" />
    <input type="button" value="Cancel bet" onclick="cancelBet();" /> -->
    <!-- canvas -->

    <script src="https://code.createjs.com/createjs-2015.11.26.min.js"></script>
    <script src="forCanvas.js"></script>

    <!-- socket -->

    <script src="/socket.io/socket.io.js"></script>

    <script>
      var socket = io();

      socket.on("connected", data => {
        console.log(data);
      });

      socket.on("roomJoined", data => {
        console.log(data);
      });

      socket.on("event", data => {
        console.log(data);
      });

      function placeBet() {
        var bet = document.getElementById("bet_sum").value;
        console.log(bet);
        socket.emit("place_bet", { val: bet });
      }
      function cancelBet() {
        socket.emit("cancel_bet");
      }
    </script>
  </head>

  <body>
    <div id="app"></div>
    <script src="dist/build.js"></script>

    <script>

      var leftPlace =
        Math.floor((window.innerWidth - canvas.width) / 2) - 270 - 10;
    </script>
  </body>
</html>
